package StructuralClass;

import java.util.HashMap;
import java.util.Map;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ChannnelExtraInfo extends JceStruct {
    static Map<String, String> cache_extraInfo = new HashMap();
    public Map<String, String> extraInfo = null;
    
    public ChannnelExtraInfo() {
        super();
        this.extraInfo = null;
    }

    public ChannnelExtraInfo(Map<String, String> map) {
        this.extraInfo = map;
    }

    public  void writeTo(d dVar) {
        if (this.extraInfo != null) {
            dVar.a(this.extraInfo, 0);
        }
    }

    static {
        cache_extraInfo.put("", "");
    }

    public void readFrom(c cVar) {
        this.extraInfo = (Map) cVar.a(cache_extraInfo, 0, false);
    }

}
